package cn.com.poc.agent_application.entity.call_agent;

/**
 * @author alex.yao
 * @date 2025/2/28
 */
public class CallAgentApplicationModelConfig {

    private String largeModel;

    private String agentSystem;

    private Integer communicationTurn;

    private Float topP;

    private Float temperature;

    private Boolean stream;

    public String getLargeModel() {
        return largeModel;
    }

    public void setLargeModel(String largeModel) {
        this.largeModel = largeModel;
    }

    public String getAgentSystem() {
        return agentSystem;
    }

    public void setAgentSystem(String agentSystem) {
        this.agentSystem = agentSystem;
    }

    public Integer getCommunicationTurn() {
        return communicationTurn;
    }

    public void setCommunicationTurn(Integer communicationTurn) {
        this.communicationTurn = communicationTurn;
    }

    public Float getTopP() {
        return topP;
    }

    public void setTopP(Float topP) {
        this.topP = topP;
    }

    public Float getTemperature() {
        return temperature;
    }

    public void setTemperature(Float temperature) {
        this.temperature = temperature;
    }
}
